<?php
namespace Magento\PaymentServicesPaypal\Block\Message;

/**
 * Interceptor class for @see \Magento\PaymentServicesPaypal\Block\Message
 */
class Interceptor extends \Magento\PaymentServicesPaypal\Block\Message implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\Element\Template\Context $context, \Magento\PaymentServicesPaypal\Model\Config $config, \Magento\Checkout\Model\Session $session, string $pageType = 'minicart', array $componentConfig = [], array $data = [])
    {
        $this->___init();
        parent::__construct($context, $config, $session, $pageType, $componentConfig, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
